import pytest

from data.model.helpers.build_helper import _get_config_expand


@pytest.mark.parametrize('org_config,expected', [
  (None, {}),
  ({}, {}),
  ({'some other key': 'some other value'}, {'some other key': 'some other value'}),
  ({'context': 'some/context', 'dockerfile_path': 'some/context/with/Dockerfile'},
  {'context': 'some/context', 'dockerfile_path': 'some/context/with/Dockerfile', 'subdir': 'some/context'}),
])
def test_super_user_build_endpoints(org_config, expected):
  assert _get_config_expand(org_config) == expected
